# pion::PionSingleServiceScheduler Class Reference

`#include <PionScheduler.hpp>`

Inherits pion::PionMultiThreadScheduler.

List of all members.

## Detailed Description

PionSingleServiceScheduler: uses a single IO service to schedule work

Definition at line 246 of file PionScheduler.hpp.

## Public Member Functions

| PionSingleServiceScheduler (void)
| constructs a new PionSingleServiceScheduler
virtual | ~PionSingleServiceScheduler ()
| virtual destructor
virtual boost::asio::io_service & | getIOService (void)
| returns an async I/O service used to schedule work
virtual void | startup (void)
| Starts the thread scheduler (this is called automatically when necessary).

## Protected Member Functions

virtual void | stopServices (void)
| stops all services used to schedule work
virtual void | finishServices (void)
| finishes all services used to schedule work

## Protected Attributes

boost::asio::io_service | m_service
| service used to manage async I/O events
boost::asio::deadline_timer | m_timer
| timer used to periodically check for shutdown

The documentation for this class was generated from the following files:

- common/include/pion/PionScheduler.hpp
- common/src/PionScheduler.cpp